Upstream information

CVE-2021-36222 at MITRE

Description

ec_verify in kdc/kdc_preauth_ec.c in the Key Distribution Center (KDC) in MIT Kerberos 5 (aka krb5) before 1.18.4 and 1.19.x before 1.19.2 allows remote attackers to cause a NULL pointer dereference and daemon crash. This occurs because a return value is not properly managed in a certain situation.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having important severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 5
Vector AV:N/AC:L/Au:N/C:N/I:N/A:P
Access Vector Network
Access Complexity Low
Authentication None
Confidentiality Impact None
Integrity Impact None
Availability Impact Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.5 7.5
Vector CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H
Access Vector Network Network
Access Complexity Low Low
Privileges Required None None
User Interaction None None
Scope Unchanged Unchanged
Confidentiality Impact None None
Integrity Impact None None
Availability Impact High High
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1188571 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
Container bci/dotnet-aspnet:3.1
Container bci/dotnet-aspnet:5.0
Container bci/dotnet-aspnet:6.0
Container bci/dotnet-runtime:3.1
Container bci/dotnet-runtime:5.0
Container bci/dotnet-runtime:6.0
Container bci/dotnet-sdk:3.1
Container bci/dotnet-sdk:5.0
Container bci/dotnet-sdk:6.0
Container bci/golang:1.16
Container bci/golang:1.17
Container bci/init:15.3.3.1
Container bci/nodejs:12
Container bci/nodejs:14
Container bci/openjdk-devel:11
Container bci/openjdk:11
Container bci/ruby:2.5
Container caasp/v4.5/kube-apiserver:v1.18.20
Container caasp/v4.5/kube-controller-manager:v1.18.20
Container caasp/v4.5/kube-proxy:v1.18.20
Container caasp/v4.5/kube-scheduler:v1.18.20
Container caasp/v4/hyperkube:v1.17.17
Container caasp/v4/kubernetes-client:1.17.17
Container caasp/v4/kucero:1.3.0
Container caasp/v4/kured:1.3.0
Container ses/6/cephcsi/cephcsi:1.2.0.0.1.5.494
Container ses/6/rook/ceph:1.1.1.0.1.5.486
Container ses/7/ceph/grafana:7.5.7.3.559
Container ses/7/cephcsi/cephcsi:3.3.1.0.3.670
Container ses/7/prometheus-webhook-snmp:1.4.1.315
Container ses/7/prometheus/prometheus-alertmanager:sle15.2.octopus
Container ses/7/prometheus/prometheus-node-exporter:sle15.2.octopus
Container ses/7/prometheus/prometheus-server:sle15.2.octopus
Container ses/7/rook/ceph:1.5.12.4.1.1756
Container suse/sle15:15.1.6.2.497
Container suse/sle15:15.2.9.5.8
Container suse/sle15:15.3.17.5.33
Container suse/sles/15.3/cdi-apiserver:1.37.1.8.5.1
Container suse/sles/15.3/cdi-cloner:1.37.1.8.5.1
Container suse/sles/15.3/cdi-controller:1.37.1.8.5.1
Container suse/sles/15.3/cdi-importer:1.37.1.8.5.1
Container suse/sles/15.3/cdi-operator:1.37.1.8.5.1
Container suse/sles/15.3/cdi-uploadproxy:1.37.1.8.5.1
Container suse/sles/15.3/cdi-uploadserver:1.37.1.8.5.1
Container suse/sles/15.3/libguestfs-tools:0.45.0.7.7.1
Container suse/sles/15.3/virt-api:0.45.0.8.5.1
Container suse/sles/15.3/virt-controller:0.45.0.8.5.1
Container suse/sles/15.3/virt-handler:0.45.0.8.7.1
Container suse/sles/15.3/virt-launcher:0.45.0.8.14.1
Container suse/sles/15.3/virt-operator:0.45.0.8.6.1
Container trento/trento-db:14.1-rev1.0.0-build2.2.1
Container trento/trento-runner:latest
Container trento/trento-web:latest
Image SLES15-SP2-CHOST-BYOS-Aliyun
Image SLES15-SP2-CHOST-BYOS-Azure
Image SLES15-SP2-CHOST-BYOS-EC2
Image SLES15-SP2-CHOST-BYOS-GCE
Image SLES15-SP3-CHOST-BYOS-Aliyun
Image SLES15-SP3-CHOST-BYOS-Azure
Image SLES15-SP3-CHOST-BYOS-EC2
Image SLES15-SP3-CHOST-BYOS-GCE
  • krb5 >= 1.16.3-3.21.1
SUSE CaaS Platform 4.0
  • krb5 >= 1.16.3-3.21.1
  • krb5-32bit >= 1.16.3-3.21.1
  • krb5-client >= 1.16.3-3.21.1
  • krb5-devel >= 1.16.3-3.21.1
  • krb5-plugin-kdb-ldap >= 1.16.3-3.21.1
  • krb5-plugin-preauth-otp >= 1.16.3-3.21.1
  • krb5-plugin-preauth-pkinit >= 1.16.3-3.21.1
  • krb5-server >= 1.16.3-3.21.1
Patchnames:
SUSE-SUSE-CAASP-4.0-2021-2800
SUSE Enterprise Storage 6
  • krb5 >= 1.16.3-3.21.1
  • krb5-32bit >= 1.16.3-3.21.1
  • krb5-client >= 1.16.3-3.21.1
  • krb5-devel >= 1.16.3-3.21.1
  • krb5-plugin-kdb-ldap >= 1.16.3-3.21.1
  • krb5-plugin-preauth-otp >= 1.16.3-3.21.1
  • krb5-plugin-preauth-pkinit >= 1.16.3-3.21.1
  • krb5-server >= 1.16.3-3.21.1
Patchnames:
SUSE-Storage-6-2021-2800
SUSE Linux Enterprise High Performance Computing 15 SP1-ESPOS
  • krb5 >= 1.16.3-3.21.1
  • krb5-32bit >= 1.16.3-3.21.1
  • krb5-client >= 1.16.3-3.21.1
  • krb5-devel >= 1.16.3-3.21.1
  • krb5-plugin-kdb-ldap >= 1.16.3-3.21.1
  • krb5-plugin-preauth-otp >= 1.16.3-3.21.1
  • krb5-plugin-preauth-pkinit >= 1.16.3-3.21.1
  • krb5-server >= 1.16.3-3.21.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-ESPOS-2021-2800
SUSE Linux Enterprise High Performance Computing 15 SP1-LTSS
  • krb5 >= 1.16.3-3.21.1
  • krb5-32bit >= 1.16.3-3.21.1
  • krb5-client >= 1.16.3-3.21.1
  • krb5-devel >= 1.16.3-3.21.1
  • krb5-plugin-kdb-ldap >= 1.16.3-3.21.1
  • krb5-plugin-preauth-otp >= 1.16.3-3.21.1
  • krb5-plugin-preauth-pkinit >= 1.16.3-3.21.1
  • krb5-server >= 1.16.3-3.21.1
Patchnames:
SUSE-SLE-Product-HPC-15-SP1-LTSS-2021-2800
SUSE Linux Enterprise Module for Basesystem 15 SP2
  • krb5 >= 1.16.3-3.21.1
  • krb5-32bit >= 1.16.3-3.21.1
  • krb5-client >= 1.16.3-3.21.1
  • krb5-devel >= 1.16.3-3.21.1
  • krb5-plugin-preauth-otp >= 1.16.3-3.21.1
  • krb5-plugin-preauth-pkinit >= 1.16.3-3.21.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP2-2021-2800
SUSE Linux Enterprise Module for Basesystem 15 SP3
  • krb5 >= 1.16.3-3.21.1
  • krb5-32bit >= 1.16.3-3.21.1
  • krb5-client >= 1.16.3-3.21.1
  • krb5-devel >= 1.16.3-3.21.1
  • krb5-plugin-preauth-otp >= 1.16.3-3.21.1
  • krb5-plugin-preauth-pkinit >= 1.16.3-3.21.1
Patchnames:
SUSE-SLE-Module-Basesystem-15-SP3-2021-2800
SUSE Linux Enterprise Module for Server Applications 15 SP2
  • krb5-plugin-kdb-ldap >= 1.16.3-3.21.1
  • krb5-server >= 1.16.3-3.21.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP2-2021-2800
SUSE Linux Enterprise Module for Server Applications 15 SP3
  • krb5-plugin-kdb-ldap >= 1.16.3-3.21.1
  • krb5-server >= 1.16.3-3.21.1
Patchnames:
SUSE-SLE-Module-Server-Applications-15-SP3-2021-2800
SUSE Linux Enterprise Server 15 SP1-BCL
  • krb5 >= 1.16.3-3.21.1
  • krb5-32bit >= 1.16.3-3.21.1
  • krb5-client >= 1.16.3-3.21.1
  • krb5-devel >= 1.16.3-3.21.1
  • krb5-plugin-kdb-ldap >= 1.16.3-3.21.1
  • krb5-plugin-preauth-otp >= 1.16.3-3.21.1
  • krb5-plugin-preauth-pkinit >= 1.16.3-3.21.1
  • krb5-server >= 1.16.3-3.21.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-BCL-2021-2800
SUSE Linux Enterprise Server 15 SP1-LTSS
  • krb5 >= 1.16.3-3.21.1
  • krb5-32bit >= 1.16.3-3.21.1
  • krb5-client >= 1.16.3-3.21.1
  • krb5-devel >= 1.16.3-3.21.1
  • krb5-plugin-kdb-ldap >= 1.16.3-3.21.1
  • krb5-plugin-preauth-otp >= 1.16.3-3.21.1
  • krb5-plugin-preauth-pkinit >= 1.16.3-3.21.1
  • krb5-server >= 1.16.3-3.21.1
Patchnames:
SUSE-SLE-Product-SLES-15-SP1-LTSS-2021-2800
SUSE Linux Enterprise Server for SAP Applications 15 SP1
  • krb5 >= 1.16.3-3.21.1
  • krb5-32bit >= 1.16.3-3.21.1
  • krb5-client >= 1.16.3-3.21.1
  • krb5-devel >= 1.16.3-3.21.1
  • krb5-plugin-kdb-ldap >= 1.16.3-3.21.1
  • krb5-plugin-preauth-otp >= 1.16.3-3.21.1
  • krb5-plugin-preauth-pkinit >= 1.16.3-3.21.1
  • krb5-server >= 1.16.3-3.21.1
Patchnames:
SUSE-SLE-Product-SLES_SAP-15-SP1-2021-2800
SUSE Manager Proxy 4.0
  • krb5 >= 1.16.3-3.21.1
  • krb5-32bit >= 1.16.3-3.21.1
  • krb5-client >= 1.16.3-3.21.1
  • krb5-devel >= 1.16.3-3.21.1
  • krb5-plugin-kdb-ldap >= 1.16.3-3.21.1
  • krb5-plugin-preauth-otp >= 1.16.3-3.21.1
  • krb5-plugin-preauth-pkinit >= 1.16.3-3.21.1
  • krb5-server >= 1.16.3-3.21.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Proxy-4.0-2021-2800
SUSE Manager Retail Branch Server 4.0
  • krb5 >= 1.16.3-3.21.1
  • krb5-32bit >= 1.16.3-3.21.1
  • krb5-client >= 1.16.3-3.21.1
  • krb5-devel >= 1.16.3-3.21.1
  • krb5-plugin-kdb-ldap >= 1.16.3-3.21.1
  • krb5-plugin-preauth-otp >= 1.16.3-3.21.1
  • krb5-plugin-preauth-pkinit >= 1.16.3-3.21.1
  • krb5-server >= 1.16.3-3.21.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Retail-Branch-Server-4.0-2021-2800
SUSE Manager Server 4.0
  • krb5 >= 1.16.3-3.21.1
  • krb5-32bit >= 1.16.3-3.21.1
  • krb5-client >= 1.16.3-3.21.1
  • krb5-devel >= 1.16.3-3.21.1
  • krb5-plugin-kdb-ldap >= 1.16.3-3.21.1
  • krb5-plugin-preauth-otp >= 1.16.3-3.21.1
  • krb5-plugin-preauth-pkinit >= 1.16.3-3.21.1
  • krb5-server >= 1.16.3-3.21.1
Patchnames:
SUSE-SLE-Product-SUSE-Manager-Server-4.0-2021-2800
SUSE MicroOS 5.0
  • krb5 >= 1.16.3-3.21.1
Patchnames:
SUSE-SUSE-MicroOS-5.0-2021-2800
openSUSE Leap 15.2
  • krb5 >= 1.16.3-lp152.5.19.1
  • krb5-32bit >= 1.16.3-lp152.5.19.1
  • krb5-client >= 1.16.3-lp152.5.19.1
  • krb5-devel >= 1.16.3-lp152.5.19.1
  • krb5-devel-32bit >= 1.16.3-lp152.5.19.1
  • krb5-mini >= 1.16.3-lp152.5.19.1
  • krb5-mini-devel >= 1.16.3-lp152.5.19.1
  • krb5-plugin-kdb-ldap >= 1.16.3-lp152.5.19.1
  • krb5-plugin-preauth-otp >= 1.16.3-lp152.5.19.1
  • krb5-plugin-preauth-pkinit >= 1.16.3-lp152.5.19.1
  • krb5-server >= 1.16.3-lp152.5.19.1
Patchnames:
openSUSE-2021-1182
openSUSE Leap 15.3
  • krb5 >= 1.16.3-3.21.1
  • krb5-32bit >= 1.16.3-3.21.1
  • krb5-client >= 1.16.3-3.21.1
  • krb5-devel >= 1.16.3-3.21.1
  • krb5-devel-32bit >= 1.16.3-3.21.1
  • krb5-mini >= 1.16.3-3.21.1
  • krb5-mini-devel >= 1.16.3-3.21.1
  • krb5-plugin-kdb-ldap >= 1.16.3-3.21.1
  • krb5-plugin-preauth-otp >= 1.16.3-3.21.1
  • krb5-plugin-preauth-pkinit >= 1.16.3-3.21.1
  • krb5-server >= 1.16.3-3.21.1
Patchnames:
openSUSE-SLE-15.3-2021-2800
openSUSE Tumbleweed
  • krb5 >= 1.19.2-2.2
  • krb5-32bit >= 1.19.2-2.2
  • krb5-client >= 1.19.2-2.2
  • krb5-devel >= 1.19.2-2.2
  • krb5-devel-32bit >= 1.19.2-2.2
  • krb5-plugin-kdb-ldap >= 1.19.2-2.2
  • krb5-plugin-preauth-otp >= 1.19.2-2.2
  • krb5-plugin-preauth-pkinit >= 1.19.2-2.2
  • krb5-plugin-preauth-spake >= 1.19.2-2.2
  • krb5-server >= 1.19.2-2.2
Patchnames:
openSUSE Tumbleweed GA krb5-1.19.2-2.2


First public cloud image revisions this CVE is fixed in:


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
HPE Helion OpenStack 8 krb5 Not affected
SLES15-EC2-CHOST-HVM-BYOS krb5 Not affected
SLES15-SP1-CHOST-BYOS-Azure krb5 In progress
SLES15-SP1-CHOST-BYOS-EC2 krb5 In progress
SLES15-SP1-CHOST-BYOS-GCE krb5 In progress
SLES15-SP2-CHOST-BYOS-Aliyun krb5 Released
SLES15-SP2-CHOST-BYOS-Azure krb5 Released
SLES15-SP2-CHOST-BYOS-EC2 krb5 Released
SLES15-SP2-CHOST-BYOS-GCE krb5 Released
SLES15-SP2-CHOST-BYOS-OpenStack krb5 In progress
SLES15-SP3-CHOST-BYOS-Aliyun krb5 Released
SLES15-SP3-CHOST-BYOS-Azure krb5 Released
SLES15-SP3-CHOST-BYOS-EC2 krb5 Released
SLES15-SP3-CHOST-BYOS-GCE krb5 Released
SUSE CaaS Platform 4.0 krb5 Released
SUSE Enterprise Storage 6 krb5 Released
SUSE Linux Enterprise High Performance Computing 12 SP5 krb5 Not affected
SUSE Linux Enterprise High Performance Computing 15 LTSS krb5 Not affected
SUSE Linux Enterprise High Performance Computing 15 SP1 ESPOS krb5 Released
SUSE Linux Enterprise High Performance Computing 15 SP1 LTSS krb5 Released
SUSE Linux Enterprise Micro 5.0 krb5 Released
SUSE Linux Enterprise Module for Basesystem 15 SP2 krb5 Released
SUSE Linux Enterprise Module for Basesystem 15 SP3 krb5 Released
SUSE Linux Enterprise Module for Server Applications 15 SP2 krb5 Released
SUSE Linux Enterprise Module for Server Applications 15 SP3 krb5 Released
SUSE Linux Enterprise Point of Service 11 SP3 krb5 Not affected
SUSE Linux Enterprise Server 11 SP4 LTSS krb5 Not affected
SUSE Linux Enterprise Server 12 SP2 BCL krb5 Not affected
SUSE Linux Enterprise Server 12 SP3 BCL krb5 Not affected
SUSE Linux Enterprise Server 12 SP3 ESPOS krb5 Not affected
SUSE Linux Enterprise Server 12 SP3 LTSS krb5 Not affected
SUSE Linux Enterprise Server 12 SP4 ESPOS krb5 Not affected
SUSE Linux Enterprise Server 12 SP4 LTSS krb5 Not affected
SUSE Linux Enterprise Server 12 SP5 krb5 Not affected
SUSE Linux Enterprise Server 15 ESPOS krb5 Not affected
SUSE Linux Enterprise Server 15 LTSS krb5 Not affected
SUSE Linux Enterprise Server 15 SP1 LTSS krb5 Released
SUSE Linux Enterprise Server Business Critical Linux 15 SP1 krb5 Released
SUSE Linux Enterprise Server for SAP Applications 12 SP3 krb5 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 krb5 Not affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 krb5 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 krb5 Not affected
SUSE Linux Enterprise Server for SAP Applications 15 SP1 krb5 Released
SUSE Manager Proxy 4.0 krb5 Released
SUSE Manager Retail Branch Server 4.0 krb5 Released
SUSE Manager Server 4.0 krb5 Released
SUSE OpenStack Cloud 8 krb5 Not affected
SUSE OpenStack Cloud 9 krb5 Not affected
SUSE OpenStack Cloud Crowbar 8 krb5 Not affected
SUSE OpenStack Cloud Crowbar 9 krb5 Not affected
suse/sle15:15.4 krb5Already fixed
suse/sle15:15.0
suse/sles12sp3
suse/sles12sp4
suse/sles12sp5
krb5Not affected
bci/dotnet-aspnet:3.1
bci/dotnet-aspnet:5.0
bci/dotnet-aspnet:6.0
bci/dotnet-runtime:3.1
bci/dotnet-runtime:5.0
bci/dotnet-runtime:6.0
bci/dotnet-sdk:3.1
bci/dotnet-sdk:5.0
bci/dotnet-sdk:6.0
bci/golang:1.16
bci/golang:1.17
bci/init
bci/nodejs:12
bci/nodejs:14
bci/openjdk-devel:11
bci/openjdk:11
bci/ruby:2.5
ses/6/cephcsi/cephcsi
ses/6/rook/ceph
ses/7/ceph/grafana
ses/7/cephcsi/cephcsi
ses/7/prometheus-webhook-snmp
ses/7/prometheus/prometheus-alertmanager
ses/7/prometheus/prometheus-node-exporter
ses/7/prometheus/prometheus-server
ses/7/rook/ceph
suse/sle15:15.1
suse/sle15:15.2
suse/sle15:15.3
suse/sles/15.3/cdi-apiserver:1.37.1
suse/sles/15.3/cdi-cloner:1.37.1
suse/sles/15.3/cdi-controller:1.37.1
suse/sles/15.3/cdi-importer:1.37.1
suse/sles/15.3/cdi-operator:1.37.1
suse/sles/15.3/cdi-uploadproxy:1.37.1
suse/sles/15.3/cdi-uploadserver:1.37.1
suse/sles/15.3/libguestfs-tools:0.45.0
suse/sles/15.3/virt-api:0.45.0
suse/sles/15.3/virt-controller:0.45.0
suse/sles/15.3/virt-handler:0.45.0
suse/sles/15.3/virt-launcher:0.45.0
suse/sles/15.3/virt-operator:0.45.0
trento/trento-db
trento/trento-runner
trento/trento-web
krb5Released
ingress-nginx-controller:0.15.0
ses/7/ceph/ceph
ses/7/cephcsi/csi-attacher:v2.1.0
ses/7/cephcsi/csi-attacher:v3.0.0
ses/7/cephcsi/csi-livenessprobe:v1.1.0
ses/7/cephcsi/csi-node-driver-registrar:v1.2.0
ses/7/cephcsi/csi-node-driver-registrar:v2.0.1
ses/7/cephcsi/csi-provisioner:v1.6.0
ses/7/cephcsi/csi-provisioner:v2.0.0
ses/7/cephcsi/csi-resizer:v0.4.0
ses/7/cephcsi/csi-resizer:v1.0.0
ses/7/cephcsi/csi-snapshotter:v2.1.0
ses/7/cephcsi/csi-snapshotter:v2.1.1
ses/7/cephcsi/csi-snapshotter:v3.0.0
suse/sles/15.2/virt-api:0.38.1
suse/sles/15.2/virt-controller:0.38.1
suse/sles/15.2/virt-handler:0.38.1
suse/sles/15.2/virt-launcher:0.38.1
suse/sles/15.2/virt-operator:0.38.1
krb5In progress